﻿// Fill out your copyright notice in the Description page of Project Settings.


#include "Weapon/LMWeaponBase.h"

#include "Components/AudioComponent.h"


ALMWeaponBase::ALMWeaponBase()
{
	PrimaryActorTick.bCanEverTick = true;

	RootComponent = CreateDefaultSubobject<USceneComponent>(TEXT("Root"));

	AudioComponent = CreateDefaultSubobject<UAudioComponent>(TEXT("Audio"));
	AudioComponent->SetupAttachment(RootComponent);

	WeaponMesh = CreateDefaultSubobject<USkeletalMeshComponent>(TEXT("Mesh"));
	WeaponMesh->SetupAttachment(RootComponent);

	WeaponSocket = FName();
}

void ALMWeaponBase::BeginPlay()
{
	Super::BeginPlay();
	
}

void ALMWeaponBase::Reload()
{
}

void ALMWeaponBase::PrimaryFire()
{
}

void ALMWeaponBase::PlaySound(USoundWave* Sound, const bool Replacing)
{
	if (AudioComponent->IsPlaying() && !Replacing)
		return;

	AudioComponent->Stop();
	AudioComponent->SetSound(Sound);
	AudioComponent->Play();
}

void ALMWeaponBase::PlayAnimation(UAnimMontage* Animation)
{
	UAnimInstance* AnimInstance = WeaponMesh->GetAnimInstance();
	
	if (Animation && AnimInstance)
	{
		AnimInstance->Montage_Play(Animation);
	}
}