#pragma once
#include "LMWeaponDataStructure.generated.h"

USTRUCT(BlueprintType)
struct FLMWeaponDataStructure : public FTableRowBase
{
	GENERATED_BODY()

	/** Max ammo in inventory */
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int MaxAmmo; 

	/** Max ammo in clip. */
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int MaxClipAmmo;

	/** Mesh of the weapon display in the scene. */
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TObjectPtr<USkeletalMesh> MeshWeapon;

	/** The animation blueprint to animate the mesh. */
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TObjectPtr<UAnimBlueprint> AnimationBluePrint;

	/** The sound to play when firing. */
	UPROPERTY(EditAnywhere, BlueprintReadWrite,Category=Legumix)
	TObjectPtr<USoundWave> FireSound;
};
